% brief:    Unit testing of the NICE::MatlabConversion functions
% author:   Johannes Ruehle
% date:     11-04-2014 (dd-mm-yyyy)

%% test Creation of OBJREC::Examples class from sample matrix and label data

numSamples  = 10;
numFeatures = 5;
maxClass    = 3;

matFeatures = rand(numSamples, numFeatures, 'double')';
matLabels = randi(maxClass, numSamples,1,'double');
disp(matFeatures);
try
    bSuccess = testHelperDataConversionMex( 'convertDoubleMatrixToExamples', matFeatures, matLabels);
    assert( bSuccess );
catch ecpn
    disp( ecpn );
end
